Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.core
Class SchedulerSignalerImpl

    java.lang.Object
      org.quartz.core.SchedulerSignalerImpl

All Implemented Interfaces:
  SchedulerSignaler

    public class SchedulerSignalerImpl

extends Object
implements SchedulerSignaler

An interface to be used by `JobStore` instances in order to communicate signals back to the `QuartzScheduler`.

Author:
  jhouse

Field Summary
`protected QuartzScheduler` | `sched`
`protected QuartzSchedulerThread` | `schedThread`

Constructor Summary
`SchedulerSignalerImpl(QuartzScheduler sched, QuartzSchedulerThread schedThread)`

Method Summary
`void` | `notifySchedulerListenersError(String string, SchedulerException jpe)`
`void` | `notifySchedulerListenersFinalized(Trigger trigger)`
`void` | `notifySchedulerListenersJobDeleted(JobKey jobKey)`
`void` | `notifyTriggerListenersMisfired(Trigger trigger)`
`void` | `signalSchedulingChange(long candidateNewNextFireTime)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sched

    protected QuartzScheduler sched

### schedThread

    protected QuartzSchedulerThread schedThread

Constructor Detail

### SchedulerSignalerImpl

    public SchedulerSignalerImpl(QuartzScheduler sched,
                                 QuartzSchedulerThread schedThread)

Method Detail

### notifyTriggerListenersMisfired

    public void notifyTriggerListenersMisfired(Trigger trigger)

  Specified by:
    `notifyTriggerListenersMisfired` in interface `SchedulerSignaler`

### notifySchedulerListenersFinalized

    public void notifySchedulerListenersFinalized(Trigger trigger)

  Specified by:
    `notifySchedulerListenersFinalized` in interface `SchedulerSignaler`

### signalSchedulingChange

    public void signalSchedulingChange(long candidateNewNextFireTime)

  Specified by:
    `signalSchedulingChange` in interface `SchedulerSignaler`

### notifySchedulerListenersJobDeleted

    public void notifySchedulerListenersJobDeleted(JobKey jobKey)

  Specified by:
    `notifySchedulerListenersJobDeleted` in interface `SchedulerSignaler`

### notifySchedulerListenersError

    public void notifySchedulerListenersError(String string,
                                              SchedulerException jpe)

  Specified by:
    `notifySchedulerListenersError` in interface `SchedulerSignaler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.